name: downtify
services:
  downtify:
    environment:
      PGID: $PGID
      PUID: $PUID
      TZ: $TZ
    image: ghcr.io/henriquesebastiao/downtify:1.1.1
    deploy:
      resources:
        reservations:
          memory: "2048M"
    ports:
      - target: 8000
        published: "8582"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/Downloads/downtify
        target: /downloads
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: for UserID
        - container: PGID
          description:
            en_us: for GroupID
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
      volumes:
        - container: /downloads
          description:
            en_us: Directory where the files will be saved.
    container_name: downtify
x-casaos:
  architectures:
    - amd64
    - arm64
  main: downtify
  author: Henrique Sebastião
  category: Downloader
  description:
    en_us: |
      With Downtify you can download Spotify musics containing album art, track names, album title and other metadata about the songs. Just copy the Spotify link, whether it's a single song, an album, etc. As soon as your downloads are complete you will be notified!
    pt_br: |
      Com o Downtify você pode baixar músicas do Spotify contendo capas de álbuns, nomes de faixas, títulos de álbuns e outros metadados sobre as músicas. Basta copiar o link do Spotify, seja uma música única, um álbum, etc. Assim que seus downloads forem concluídos, você será notificado!
  developer: Henrique Sebastião
  icon: https://raw.githubusercontent.com/henriquesebastiao/downtify/refs/heads/main/assets/casaos-icon.png
  screenshot_link:
    - https://raw.githubusercontent.com/henriquesebastiao/downtify/refs/heads/main/assets/screenshot-1.png
    - https://raw.githubusercontent.com/henriquesebastiao/downtify/refs/heads/main/assets/screenshot-2.png
  tagline:
    en_us: Download Spotify music with album art and metadata
    pt_br: Baixe músicas do Spotify com a capa do álbum e metadados
  title:
    en_us: Downtify
  index: /
  port_map: "8582"
